<?php
/**
 * Single Product tabs
 *
 * @author  WooThemes
 * @package WooCommerce/Templates
 * @version 2.4.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Filter tabs and allow third parties to add their own
 *
 * Each tab is an array containing title, callback and priority.
 * @see woocommerce_default_product_tabs()
 */
$tabs = apply_filters( 'woocommerce_product_tabs', array() );

if ( ! empty( $tabs ) ) : ?>

	<div class="mkd-accordion-holder mkd-woo-tabs clearfix mkd-accordion mkd-initial">
		<?php 
		foreach ( $tabs as $key => $tab ){ ?>
		<h6 class="clearfix mkd-title-holder">
			<span class="mkd-accordion-mark mkd-left-mark">
				<span class="mkd-accordion-mark-icon">
					<i class="icon-arrow-down-circle"></i>
				</span>
			</span>
			<span class="mkd-tab-title">
				<span class="mkd-tab-title-inner">
					<?php echo apply_filters( 'woocommerce_product_' . $key . '_tab_title', esc_html( $tab['title'] ), $key )?>
				</span>
			</span>
		</h6><div class="mkd-accordion-content">
			<div class="mkd-accordion-content-inner">
				<?php call_user_func( $tab['callback'], $key, $tab );?>
			</div>
		</div>
		<?php } ?>
	</div>

<?php endif; ?>
